# DeleteIpv6Cidr

## 1. API Description

This API (DeleteIpv6Cidr) is used to delete an IPv6 CIDR block.

{% hint style="info" %}
**Note**

* If any IP ranges of the CIDR block have been assigned to subnets, the CIDR block cannot be deleted.
* For regular accounts, once a CIDR block is deleted, the resource will be immediately reclaimed. This operation is irreversible.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description      |
| -------------- | -------- | ------ | ---------------- |
| cidrId         | Yes      | String | IPv6 CIDR block. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete a CIDR block.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteIpv6Cidr
<Common Request Params>

Request：
{
    "cidrId": "<cidrId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code          | Description                     |
| ---------------- | ------------------- | ------------------------------- |
| 409              | INVALID\_CIDR\_USED | CIDR block is currently in use. |
